Package: org.apache.groovy.util.concurrent

## [Java] Class ConcurrentReferenceHashMap.HashIterator

- org.apache.groovy.util.concurrent.ConcurrentReferenceHashMap.HashIterator

-     protected abstract class ConcurrentReferenceHashMap.HashIterator
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `hasMoreElements()`
    `` | `public boolean` | `hasNext()`
    `` | `public void` | `remove()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public boolean hasMoreElements()

    - #### public boolean hasNext()

    - #### public void remove()